# $Revision: 1.22 $, $Date: 2003/08/03 19:13:37 $
Summary:	Trace the route of IP packets going to "host"
Summary(pl):	Program do ledzenia cieki pakietw IP
Name:		traceroute-nanog
Version:	6.3.9
Release:	1
License:	distributable
Group:		Applications/Networking
# original URL - but there is only vulnerable 6.3.0 here
#Source0:	ftp://ftp.login.com/pub/software/traceroute/dist/%{name}-%{version}.tar.gz
# ...or latest version, but only source code, without other files
#Source0:	ftp://ftp.login.com/pub/software/traceroute/beta/traceroute.c
Source0:	ftp://ftp.debian.org/debian/pool/main/t/traceroute-nanog/%{name}_%{version}.orig.tar.gz
# Source0-md5:	3e663d4053da5230e0f0df69e59717a7
Patch0:		%{name}-debian.patch
Obsoletes:	traceroute
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Extended version of normal traceroute utility. It can report AS# at
each hop (from GRR), report owner at each hop (from DNS) etc.

%description -l pl
Rozszerzona wersja programu traceroute. Potrafi raportowa AS# (z
GRR), waciciela (z DNS) itp. na kadym kroku.

%prep
%setup -q
%patch -p1

# remember to update numbers on earch upgrade!
tail +229 traceroute.c | head -n 309 > ChangeLog

%build
%{__cc} %{rpmldflags} %{rpmcflags} -o tracerouten traceroute.c -lm -lresolv

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install tracerouten $RPM_BUILD_ROOT%{_sbindir}/traceroute
install traceroute.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc 0_readme.txt faq.txt ChangeLog
%attr(4754,root,adm) %{_sbindir}/traceroute
%{_mandir}/man8/traceroute.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: traceroute-nanog.spec,v $
Revision 1.22  2003/08/03 19:13:37  qboosh
- up to 6.3.9
- updated debian patch (now contains only man page)
- extract changelog

Revision 1.21  2003/07/27 14:49:49  qboosh
- up to 6.3.6 with updated debian patch (includes security fixes!)

Revision 1.20  2003/05/28 13:02:19  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:27:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/07/29 09:02:59  qboosh
- noted original URLs

Revision 1.17  2002/07/23 10:32:05  qboosh
- updated to 6.1.1 (previous version had some bugs and vulnerabilities)
- added debian patch with security fixes and man page

Revision 1.16  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/05 19:35:23  gotar
- fixed Summary.

Revision 1.14  2002/01/18 02:15:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2002/01/11 15:38:37  kloczek
- release 3.

Revision 1.12  2001/11/26 15:12:33  jack
- Changed group from icmp to adm

Revision 1.11  2001/05/03 01:14:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2000/07/13 23:53:36  kloczek
- spec adapterized.

Revision 1.9  2000/07/11 14:20:55  baggins
- release 2
- obsoletes traceroute
- changed binary name to traceroute

Revision 1.8  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.6  2000/01/20 23:09:16  kloczek
- added passing $RPM_OPT_FLAGS,
- changed License to distributable.
- changed Group to Applications/Networking,
- added "rm -rf $RPM_BUILD_ROOT" on top %install,
- added gzipping %doc.

* Thu Jan 20 2000 ukasz Trbiski <lukasz@pld.org.pl>
- cosmetics
- initial version for PLD
